OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.SGIS.Multisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetSGISMultisample :: MonadIO m => m Bool
- gl_SGIS_multisample :: Bool
- gl_1PASS_SGIS :: GLenum
- gl_2PASS_0_SGIS :: GLenum
- gl_2PASS_1_SGIS :: GLenum
- gl_4PASS_0_SGIS :: GLenum
- gl_4PASS_1_SGIS :: GLenum
- gl_4PASS_2_SGIS :: GLenum
- gl_4PASS_3_SGIS :: GLenum
- gl_MULTISAMPLE_SGIS :: GLenum
- gl_SAMPLES_SGIS :: GLenum
- gl_SAMPLE_ALPHA_TO_MASK_SGIS :: GLenum
- gl_SAMPLE_ALPHA_TO_ONE_SGIS :: GLenum
- gl_SAMPLE_BUFFERS_SGIS :: GLenum
- gl_SAMPLE_MASK_INVERT_SGIS :: GLenum
- gl_SAMPLE_MASK_SGIS :: GLenum
- gl_SAMPLE_MASK_VALUE_SGIS :: GLenum
- gl_SAMPLE_PATTERN_SGIS :: GLenum
- glSampleMaskSGIS :: MonadIO m => GLclampf -> GLboolean -> m ()
- glSamplePatternSGIS :: MonadIO m => GLenum -> m ()

# Extension Support

glGetSGISMultisample :: MonadIO m => m Bool

Is the SGIS_multisample extension supported?

gl_SGIS_multisample :: Bool

Is the SGIS_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetSGISMultisample` in those cases instead.

# Enums

gl_1PASS_SGIS :: GLenum

gl_2PASS_0_SGIS :: GLenum

gl_2PASS_1_SGIS :: GLenum

gl_4PASS_0_SGIS :: GLenum

gl_4PASS_1_SGIS :: GLenum

gl_4PASS_2_SGIS :: GLenum

gl_4PASS_3_SGIS :: GLenum

gl_MULTISAMPLE_SGIS :: GLenum

gl_SAMPLES_SGIS :: GLenum

gl_SAMPLE_ALPHA_TO_MASK_SGIS :: GLenum

gl_SAMPLE_ALPHA_TO_ONE_SGIS :: GLenum

gl_SAMPLE_BUFFERS_SGIS :: GLenum

gl_SAMPLE_MASK_INVERT_SGIS :: GLenum

gl_SAMPLE_MASK_SGIS :: GLenum

gl_SAMPLE_MASK_VALUE_SGIS :: GLenum

gl_SAMPLE_PATTERN_SGIS :: GLenum

# Functions

glSampleMaskSGIS

Arguments

:: MonadIO m |
=> GLclampf | `value` of type `ClampedFloat32`.
-> GLboolean | `invert` of type Boolean.
-> m () |

This command is an alias for `glSampleMaskEXT`.

glSamplePatternSGIS

Arguments

:: MonadIO m |
=> GLenum | `pattern` of type SamplePatternSGIS.
-> m () |

This command is an alias for `glSamplePatternEXT`.